import request from '../../../../utils/request'

// 检查库 列表
export function OrderPaged(params) {
	return new Promise((resolve, reject) => {
		request.post("/BS/CheckMain/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}


// 检查库 查看
export function Get(params) {
	return new Promise((resolve, reject) => {
		request.post("/BS/BSCheckMain/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}


// 隐患库 列表
export function OrderPagedRISKINFO(params) {
	return new Promise((resolve, reject) => {
		request.post("/BS/BSRiskSubmit/OrderPagedRISKINFO", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}


// 隐患库 查看
export function GetListRiskDetail(params) {
	return new Promise((resolve, reject) => {
		request.post("/BS/BSRiskSubmit/GetListRiskDetail", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}